import {AnimationClipBinding} from "../../../../animation/clip/AnimationClipBinding";
import {SGAnimationPlayback} from "./SGAnimationPlayback";

export class SGMeshAnimationController {
    readonly bound: AnimationClipBinding[]

    start(name: string, loop?: boolean, time_offset?: number): SGAnimationPlayback

    stop(playback: SGAnimationPlayback): boolean

    getActiveByName(name: string): SGAnimationPlayback | undefined
}